export declare class Error {
    name?: string;
    message: string;
    stack?: string;
    constructor(message?: string);
}
export declare class SystemError extends Error {
    message: string;
    innerError?: Error | undefined;
    static NAME: string;
    constructor(message: string, innerError?: Error | undefined);
}
export declare class LintError extends Error {
    message: string;
    innerError?: Error | undefined;
    static NAME: string;
    constructor(message: string, innerError?: Error | undefined);
}
