export interface Options {
    project?: string;
    config?: string;
}
export interface Logger {
    log(message: string): void;
    error(message: string): void;
}
export declare const enum Status {
    OK = 0,
    SystemError = 1,
    LintError = 2
}
export declare function run(options: Options, logger: Logger): Promise<Status>;
